=== debian/control ===
Source: approx
Section: admin
Priority: optional
Maintainer: Eric Cooper <ecc@cmu.edu>
Uploaders: Sven Luther <luther@debian.org>, Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>= 4), ocaml-nox-3.08.3, ocaml-tools, libsyslog-ocaml-dev (>= 1.0-3), libhttp-ocaml-dev (>= 0.1.0-3), libocamlnet-ocaml-dev (>= 1.0), libpcre-ocaml-dev, libcurl-ocaml-dev
Standards-Version: 3.6.1

Package: approx
Architecture: any
Depends: ${shlibs:Depends}, wget
Description: caching proxy server for Debian archive files
 Approx is an HTTP-based Debian archive server.
 It fetches packages from remote repositories on demand,
 and caches them for local use.
 .
 Approx saves time and network bandwidth if you need to install or
 upgrade Debian software for a number of machines on a local network.
 Each package is downloaded from a remote site only once,
 regardless of how many local clients install it.
 The approx cache typically requires a few gigabytes of disk space.
 .
 Approx also simplifies the administration of client machines:
 repository locations need only be changed in approx's configuration file,
 not in every client's /etc/apt/sources.list file.
 .
 Approx can be used as a replacement for apt-proxy,
 with no need to modify clients' /etc/apt/sources.list files,
 or as an alternative to apt-cacher, with no need to run Apache.
 .
 Approx is intended to be robust, simple, and efficient.
 It is written in OCaml (Objective Caml).
