=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	if [ -x /usr/bin/ocamlopt ]; then \
	    $(MAKE) native-code; \
	else \
	    $(MAKE) byte-code; \
	fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

DESTDIR = $(CURDIR)/debian/tmp/usr/bin

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install approx gc_approx usr/sbin
	dh_install approx.conf etc/approx

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman *.[1-8]
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

# -*- makefile-mode -*-
