=== debian/changelog ===
approx (2.03) unstable; urgency=low

  * Fixed cron script (closes: #343105)
  * Updated debian/compat to 5

 -- Eric Cooper <ecc@cmu.edu>  Mon, 12 Dec 2005 15:43:46 -0500

approx (2.02) unstable; urgency=low

  * Make sure all data that is streamed to the client during download
    gets flushed afterwards using cgi#output#commit_work
  * Added debian/control.in and a rule to generate debian/control from it
  * Added conditional dependency on OCaml bytecode interpreter
    for architectures without native compilation

 -- Eric Cooper <ecc@cmu.edu>  Sun, 20 Nov 2005 12:20:58 -0500

approx (2.01) unstable; urgency=low

  * Updated debian/control for ocaml version 3.09.0
  * Added dependency on adduser (for postinst script)
  * Removed unused variables (or renamed with _) to eliminate warnings

 -- Eric Cooper <ecc@cmu.edu>  Tue,  1 Nov 2005 17:43:55 -0500

approx (2.00) unstable; urgency=low

  * Stream the response to the client while downloading to the cache
  * Release with new major version

 -- Eric Cooper <ecc@cmu.edu>  Mon, 10 Oct 2005 10:04:09 -0400

approx (1.51) unstable; urgency=low

  * Changed client to use curl subprocesses instead of ocurl
  * For simplicity, all downloads are cached first, then sent to the client

 -- Eric Cooper <ecc@cmu.edu>  Wed, 14 Sep 2005 09:37:54 -0400

approx (1.50) unstable; urgency=low

  * Changed server to use nethttpd instead of ocaml-http

 -- Eric Cooper <ecc@cmu.edu>  Mon, 22 Aug 2005 16:53:22 -0400

approx (1.18) unstable; urgency=low

  * Secure APT imposes additional consistency requirements on the cache:
    - Release and Release.gpg files must agree
    - Packages and Sources files must agree with the Release file
      that mentions them
  * Closes: #322847

 -- Eric Cooper <ecc@cmu.edu>  Sun, 31 Jul 2005 16:10:13 -0400

approx (1.17) unstable; urgency=low

  * Incorporate patch by Flavio Stanchina <flavio@stanchina.net>
    to recognize Release.gpg and *.bz2 files in gc_approx (closes: #313188)
  * Include Last-Modified header in local responses
  * Support If-Modified-Since for FTP requests using MDTM

 -- Eric Cooper <ecc@cmu.edu>  Fri, 15 Jul 2005 15:34:21 -0400

approx (1.16) unstable; urgency=low

  * Support concurrent requests
    - use http_daemon's Fork mode
    - rely on atomic rename of foo.tmp -> foo in cache
    - detect concurrent downloads in progress and wait for them
  * Differentiate levels of syslog messages

 -- Eric Cooper <ecc@cmu.edu>  Fri, 13 May 2005 12:23:37 -0400
