=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Eric Cooper <ecc@cmu.edu>
 Uploaders: Sven Luther <luther@debian.org>, Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>= 4), ocaml-nox-3.08.3, ocaml-tools, libsyslog-ocaml-dev (>= 1.0-3), libhttp-ocaml-dev (>= 0.1.0-3), libocamlnet-ocaml-dev (>= 1.0), libpcre-ocaml-dev, libcurl-ocaml-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 5.0), ocaml-nox (>= 3.09.0), ocaml-best-compilers, ocaml-tools, libocamlnet-ocaml-dev (>= 1.1), libpcre-ocaml-dev (>= 5.10), libsyslog-ocaml-dev (>= 1.2)
+Standards-Version: 3.6.2
 
 Package: approx
 Architecture: any
-Depends: ${shlibs:Depends}, wget
+Depends: ${shlibs:Depends}, ${F:OCamlRuntime}, adduser, bzip2, curl
 Description: caching proxy server for Debian archive files
  Approx is an HTTP-based Debian archive server.
  It fetches packages from remote repositories on demand,
@@ -26,7 +26,7 @@
  .
  Approx can be used as a replacement for apt-proxy,
  with no need to modify clients' /etc/apt/sources.list files,
- or as an alternative to apt-cacher, with no need to run Apache.
+ or as an alternative to apt-cacher.
  .
  Approx is intended to be robust, simple, and efficient.
  It is written in OCaml (Objective Caml).
