## approx 2.05bpo1

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 export OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
 
-export OCAMLFLAGS = -w A
+export OCAMLFLAGS = -warn-error A
 
 define PROJ_server
-    SOURCES = util.ml config.ml default_config.ml log.ml url.ml control_file.ml release.ml server.ml version.ml approx.ml
+    SOURCES = util.ml config.ml default_config.ml log.ml url.ml control_file.ml release.ml ifaddr.c netif.mli server.ml version.ml approx.ml
     INCDIRS = +pcre +syslog +netstring +cgi +nethttpd
     LIBS = unix pcre syslog netstring cgi nethttpd
     RESULT = approx
