=== debian/changelog ===
approx (2.05bpo1) sarge-backports; urgency=low

  * Backport to sarge:
    + [debian/control.in]
      - lower version requirement of build-dependency on libpcre-ocaml-dev,
        since it works fine with the version in sarge.
      - ditto for debhelper, and set debian/compat to 4.
    + [debian/control]
      - regenerate from debian/control.in so that the version requirement of
        the ocaml-nox Build-Dependency matchs sarge's ocaml ABI.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 20 Jun 2006 16:36:22 +0200

approx (2.06) unstable; urgency=low

  * Added "interface" configuration variable to allow listening only
    on a specific network interface, as requested by Romain Lenglet
    <rlenglet@users.forge.objectweb.org> (closes: #352025)
  * Added simple-minded support for file URIs, using the same logic as FTP
  * The server is now started as root by the init script, and then drops
    privileges to user approx after binding its socket. This allows approx
    to listen on port 80, as requested by Andreas John <aj@net-lab.net>

 -- Eric Cooper <ecc@cmu.edu>  Mon, 24 Apr 2006 16:09:22 -0400

approx (2.05) unstable; urgency=low

  * Factor out all uses of curl command (missed one in previous fix)
  * Transition to OCaml 3.09.1

 -- Eric Cooper <ecc@cmu.edu>  Sun,  8 Jan 2006 14:29:20 -0500

approx (2.04) unstable; urgency=low

  * Added --location option to curl so that it will follow HTTP redirections
    (closes: #346082)

 -- Eric Cooper <ecc@cmu.edu>  Thu,  5 Jan 2006 13:56:03 -0500
