=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 OCAMLABI = $(shell ocamlc -version)
 BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
 OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))
-
-debian/control:
-	sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $@.in > $@
 
 build: build-stamp
 build-stamp:
@@ -65,5 +62,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
-
-# -*- makefile-mode -*-
