=== debian/changelog ===
approx (3.0.0) unstable; urgency=low

  * Support pdiffs (closes: #405535)
  * Create temp files in approx cache rather than TMPDIR (closes: #451768)
  * Added $offline parameter to control delivery of cached files
    when remote downloads fail (closes: #442801)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 04 Dec 2007 12:24:16 -0500

approx (2.9.1) unstable; urgency=low

  * Make sure cron job doesn't fail if approx has been removed
    (closes: #404819)
  * Add Homepage field

 -- Eric Cooper <ecc@cmu.edu>  Wed, 03 Oct 2007 11:31:56 -0400
