=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Eric Cooper <ecc@cmu.edu>
-Uploaders: Sylvain Le Gall <gildor@debian.org>
-Build-Depends: debhelper (>= 5.0), cdbs, ocamlmakefile, ocaml-nox (>= 3.09), ocaml-best-compilers, libnethttpd-ocaml-dev (>= 2.2), libpcre-ocaml-dev (>= 5.11), libsha-ocaml-dev (>= 1.3), libsyslog-ocaml-dev (>= 1.3)
+Uploaders: Sylvain Le Gall <gildor@debian.org>, Ralf Treinen <treinen@debian.org>
+XS-Dm-Upload-Allowed: yes
+Build-Depends: debhelper (>= 5.0), cdbs, ocamlmakefile, ocaml-nox (>= 3.10), ocaml-best-compilers, libnethttpd-ocaml-dev (>= 2.2.8), libpcre-ocaml-dev (>= 5.11), libsha-ocaml-dev (>= 1.3), libsyslog-ocaml-dev (>= 1.3)
 Standards-Version: 3.7.2
+Homepage: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/projects/approx
 XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-ocaml-maint/trunk/projects/approx
 
 Package: approx
@@ -31,5 +33,3 @@
  .
  Approx is intended to be robust, simple, and efficient.
  It is written in OCaml (Objective Caml).
- .
-  Homepage: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/projects/approx/
