=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/ocaml.mk

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
    DEB_MAKE_BUILD_TARGET = native-code
    DEB_DH_GENCONTROL_ARGS += -VF:OCamlRun=""
else
    DEB_MAKE_BUILD_TARGET = byte-code
    DEB_DH_GENCONTROL_ARGS += -VF:OCamlRun="ocaml-base-nox-$(OCAML_ABI)"
endif
