=== debian/changelog ===
approx (3.3.0~bpo40+2) etch-backports; urgency=low

  * Update debian/control build-dependencies to use the versions
    in backports.org:
    . ocaml-nox (>= 3.10.0-13~bpo40+1)
    . ocaml-native-compilers (>= 3.10.1-1~bpo40+3)
    . libnethttpd-ocaml-dev (>= 2.2.9-1~bpo40+5)
    . libpcre-ocaml-dev (>= 5.12.2-3~bpo40+1)
    . libsha-ocaml-dev (>= 1.4-4~bpo40+1)
    . libsyslog-ocaml-dev (>= 1.3-6~bpo40+1)

 -- Micah Anderson <micah@debian.org>  Fri, 25 Jul 2008 13:53:48 -0600

approx (3.3.0~bpo40+1) etch-backports; urgency=low

  * backport testing version for etch
  * downgrade to debhelper 5, no changes
  * thanks to vagrant cascadian for the help!

 -- Micah Anderson <micah@debian.org>  Wed, 23 Jul 2008 22:54:32 +0000

approx (3.3.0) unstable; urgency=low

  * Allow empty host name in file URLs (closes: #479022)
  * Use unique temporary names to avoid race condition
    when opening cache files (closes: #488080)
  * Use hint files to avoid (but not eliminate) duplicate downloads
  * Remove unnecessary getpeername call in server loop

 -- Eric Cooper <ecc@cmu.edu>  Sat, 03 May 2008 16:43:25 -0400

approx (3.2.0) unstable; urgency=low

  * Listen on both IPv4 and IPv6 sockets when available
  * Add setsockopt IPV6_V6ONLY to allow both kinds of sockets to bind
    to the same port, as suggested by Julien Cristau <jcristau@debian.org>
  * Enable -custom for all bytecode executables, not just ones that
    directly use C stubs, to avoid missing DLLs from libpcre-ocaml, etc.
    at runtime (closes: #476367)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 16 Apr 2008 21:49:01 -0400

approx (3.1.0) unstable; urgency=low

  * Prevent dh_strip from stripping custom bytecode executables
    (closes: #473707)
  * Change to debhelper v6 mode

 -- Eric Cooper <ecc@cmu.edu>  Wed, 02 Apr 2008 11:00:55 -0400

approx (3.1.0~rc2) experimental; urgency=low

  * Pass -byte-plugin flag to ocamlbuild when building bytecode
    (closes: #471665)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 01 Apr 2008 14:49:03 -0400

approx (3.1.0~rc1) experimental; urgency=low

  * Added support for IPv6 and TCP wrappers
    - added build-dependency on libwrap0-dev
    - closes: #468058
  * Fixed mishandling of HTTP redirections
    - handle redirection status codes and location headers in approx.ml,
      following patch supplied by Håkon Stordahl <haastord@online.no>
    - remove curl --location option from Url.download but not Url.download_file
    - closes: #469580
  * Added transparent proxying for requests that should be passed through
    without caching (closes: #469616)
  * Perform server initializations like binding to port and dropping privileges
    before daemonizing, so that any failures will be noticed by the init script
    (closes: #465450)
  * Changed Patch module to use a single composite operator
    instead of a list, so Patch.apply is just function application
  * Updated Standards-Version, DM-Upload-Allowed and VCS-* in debian/control
  * Changed from ocamlmakefile to ocamlbuild
    - removed ocamlmakefile from Build-Depends
    - added _tags files and myocamlbuild.ml plugin
    - new, simpler Makefile
    - updated debian/rules to deal with .native and .byte targets
  * Improved documentation of the garbage collection algorithm in gc.ml
  * Changed debug_message and info_message to check corresponding
    config parameters ($debug, $verbose) so callers don't have to
  * Renamed config -> config_file and default_config -> config
  * Style changes (mostly whitespace-only)
    - use only spaces in indentation, no tabs
    - write lists like this: [1; 2; 3]
    - avoid single begin/end lines

 -- Eric Cooper <ecc@cmu.edu>  Thu, 13 Mar 2008 10:05:56 -0400
