## approx 3.3.0

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Eric Cooper <ecc@cmu.edu>
 Uploaders: Sylvain Le Gall <gildor@debian.org>, Ralf Treinen <treinen@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5.0), cdbs, ocaml-nox (>= 3.10.0-13~bpo40+1), ocaml-native-compilers (>= 3.10.1-1~bpo40+3) | ocaml-best-compilers, libnethttpd-ocaml-dev (>= 2.2.9-1~bpo40+5), libpcre-ocaml-dev (>= 5.12.2-3~bpo40+1), libsha-ocaml-dev (>= 1.4-4~bpo40+1), libsyslog-ocaml-dev (>= 1.3-6~bpo40+1), libwrap0-dev
+Build-Depends: debhelper (>= 6.0), cdbs, ocaml-nox (>= 3.10), ocaml-best-compilers, libnethttpd-ocaml-dev (>= 2.2.8), libpcre-ocaml-dev (>= 5.11), libsha-ocaml-dev (>= 1.3), libsyslog-ocaml-dev (>= 1.3), libwrap0-dev
 Standards-Version: 3.7.3
 Homepage: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/projects/approx
 Vcs-Svn: svn://svn.debian.org/svn/pkg-ocaml-maint/trunk/projects/approx/trunk
