## approx 3.5

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,24 @@
     OCAMLBUILD_OPTS += -byte-plugin
 endif
 
+programs = gc update import
+
 all:
-	@set -e; for prog in approx gc update; do \
+	@set -e; for prog in approx $(programs); do \
 	    echo $(OCAMLBUILD) $(OCAMLBUILD_OPTS) $$prog.$(TARGET); \
 	    $(OCAMLBUILD) $(OCAMLBUILD_OPTS) $$prog.$(TARGET); \
 	    cp -pv _build/$$prog.$(TARGET) $$prog; \
 	done
-	@mv -v gc gc_approx
-	@mv -v update update_approx
+	@set -e; for prog in $(programs); do \
+	    mv -v $$prog approx-$$prog; \
+	done
 
 clean:
 	$(OCAMLBUILD) $(OCAMLBUILD_OPTS) -clean
-	rm -f approx gc_approx update_approx
+	rm -f approx $(patsubst %,approx-%,$(programs))
+
+extra-clean: clean
+	rm -f *~ \#*
 
 .PHONY: tests
 
@@ -33,3 +39,16 @@
 	    echo $(OCAMLBUILD) $(OCAMLBUILD_OPTS) $$test.$(TARGET); \
 	    $(OCAMLBUILD) $(OCAMLBUILD_OPTS) $$test.$(TARGET); \
 	done
+
+upstream-branch:
+	git-status | grep -q "^# On branch upstream"
+
+release: upstream-branch extra-clean
+	@set -e; \
+	version=$$(sed -n 's/^.*number = "\(.*\)".*$$/\1/p' version.ml); \
+	echo Tagging upstream/$$version; \
+	git tag -f -m "upstream version $$version" upstream/$$version; \
+	tarball=../approx_$$version.orig.tar.gz; \
+	echo Creating $$tarball; \
+	package=approx-$$version; \
+	tar czf $$tarball --transform "s:^\./:$$package/:" --exclude=.git .
