## approx 4.3

=== debian/changelog ===
approx (4.3-1) unstable; urgency=low

  * New upstream version
  * Use TMPDIR if accessible, otherwise use /tmp (closes: #573593)
  * Catch correct exception when Release file is missing md5sum section
    (closes: #573039)
  * Add explanation for openbsd-inetd rate-limiting (closes: #581220)
  * Avoid symlinks when traversing directories (closes: #582294)

 -- Eric Cooper <ecc@cmu.edu>  Sat, 12 Jun 2010 10:35:25 -0400

approx (4.2-1) unstable; urgency=low

  * New upstream version
  * Improve handling of invalid index files
  * Recognize compressed tarballs from 3.0 (quilt) format
  * Use dh-ocaml (>= 0.9) and simplify debian/rules
  * Update build-deps
  * Drop lsb-base dependency since approx no longer needs an init script
  * Update Standards-Version to 3.8.4
  * Suggest libconfig-model-approx-perl (closes: #554388)
  * Change to 3.0 (quilt) format

 -- Eric Cooper <ecc@cmu.edu>  Sun, 14 Feb 2010 16:52:00 -0500

approx (4.1-1) unstable; urgency=low

  * New upstream version
  * Ignore epoch when comparing versions for importing
    (closes: #518763, #545424)
  * Deliver files properly in offline mode (closes: #524960)
  * Support udebs
    - patch from Matthew Palmer <mpalmer@debian.org>
    - closes: #527188
  * Support https in URLs
    - patch from Andres Salomon <dilinger@collabora.co.uk>
    - closes: #531218
  * Add Czech debconf translation (closes: #537107)
  * Fix update-inetd call in postrm script
  * Update Standards-Version to 3.8.3
  * Add FAQ file

 -- Eric Cooper <ecc@cmu.edu>  Mon, 07 Sep 2009 18:16:20 -0400

approx (4.0-3) unstable; urgency=low

  * Add Japanese debconf translation (closes: #524624)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 11 Jun 2009 15:53:01 -0400

approx (4.0-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team (closes: #522644)
  * Debconf translation updates:
    - Georgian (closes: #523427)
    - Italian (closes: #523489)
    - Swedish (closes: #523836)
    - Portuguese (closes: #524110)
    - German (closes: #524398)
    - Galician (closes: #524401)
    - Spanish (closes: #525271)
    - French (closes: #525519)
    - Russian (closes: #525521)
    - Finnish (closes: #526370)
  * Thanks to Christian Perrier for coordinating the above
    reviews and translations

 -- Eric Cooper <ecc@cmu.edu>  Mon, 01 Jun 2009 16:14:51 -0400

approx (4.0-1) unstable; urgency=low

  * New upstream version
  * Change approx to run under inetd (closes: #517217, #479493)
  * Update packaging for OCaml 3.11 (closes: #518727)
  * Revert to dropping privileges in gc, update, and import
    (closes: #510761)
  * approx-import: use MD5 checksums instead of names and versions
    (closes: #518753, #518763)
  * approx-import: print status of each file when importing in verbose mode
    (closes: #518761)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 10 Mar 2009 13:37:00 -0400

approx (3.5-1) unstable; urgency=low

  * New upstream version
  * Handle unreadable directories like lost+found more robustly
    (closes: #488115)
  * Decompress files in /tmp so gc can be used on a full filesystem
    (closes: #490028)
  * Handle multiple blank lines between paragraphs in control files
    (closes: #501628)
  * Use "Pragma: no-cache" in case approx is behind a caching proxy
    (closes: #502405)
  * Check for correct user and group ID instead of dropping privileges
    in auxiliary programs like gc and update; use "su" in cron jobs
  * Create directories when importing files into the cache

 -- Eric Cooper <ecc@cmu.edu>  Wed, 19 Nov 2008 20:42:00 -0500

approx (3.4-1) unstable; urgency=low

  * Change to non-native Debian package
  * Update VCS info in debian/control to reflect change from svn to git
  * Fix race condition when creating directory for cache file
    (closes: #501406)
  * Add approx-import program to import local .debs into approx cache
    (closes: #488096)
  * Renamed auxiliary programs approx-gc and approx-update for consistency
  * Thanks to Stéphane Glondu for svn to git migration

 -- Eric Cooper <ecc@cmu.edu>  Thu, 23 Oct 2008 21:16:00 -0400
